%define		_state		stable
%define		orgname		kimono

Summary:	K Desktop Environment - C# Mono KDE4 bindings
Summary(pl.UTF-8):	K Desktop Environment - Dowiązania C# Mono
Name:		kde4-kimono
Version:	4.14.3
Release:	3
License:	GPL
Group:		X11/Libraries
Source0:	http://download.kde.org/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	d3bc9e7f82e958dcd9d0c1a2b9583242
URL:		http://www.kde.org/
BuildRequires:	akonadi-devel
BuildRequires:	kde4-kdelibs-devel >= %{version}
BuildRequires:	mono-csharp
BuildRequires:	kde4-qyoto-devel >= %{version}
BuildRequires:	kde4-smokekde-devel
BuildRequires:	shared-desktop-ontologies-devel
BuildRequires:	soprano-devel
Requires:	kde4-qyoto >= %{version}
Obsoletes:	kde4-kdebindings-kimono < 4.6.100
Obsoletes:	kimono <= 4.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
C# Mono KDE4 bindings.

%description -l pl.UTF-8
Dowiązania C# Mono do KDE4.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde4/kimonopluginfactory.so
%attr(755,root,root) %{_libdir}/libakonadi-sharp.so
%attr(755,root,root) %{_libdir}/libkhtml-sharp.so
%attr(755,root,root) %{_libdir}/libkimono.so
%attr(755,root,root) %{_libdir}/libktexteditor-sharp.so
%attr(755,root,root) %{_libdir}/libnepomuk-sharp.so
%attr(755,root,root) %{_libdir}/libplasma-sharp.so
%attr(755,root,root) %{_libdir}/libsoprano-sharp.so
%{_prefix}/lib/mono/gac/akonadi
%{_prefix}/lib/mono/gac/kde-dotnet
%{_prefix}/lib/mono/gac/khtml-dll
%{_prefix}/lib/mono/gac/ktexteditor-dotnet
%{_prefix}/lib/mono/gac/nepomuk-dll
%{_prefix}/lib/mono/gac/plasma-dll
%{_prefix}/lib/mono/gac/soprano
%{_prefix}/lib/mono/qyoto/akonadi.dll
%{_prefix}/lib/mono/qyoto/kde-dotnet.dll
%{_prefix}/lib/mono/qyoto/khtml-dll.dll
%{_prefix}/lib/mono/qyoto/ktexteditor-dotnet.dll
%{_prefix}/lib/mono/qyoto/nepomuk-dll.dll
%{_prefix}/lib/mono/qyoto/plasma-dll.dll
%{_prefix}/lib/mono/qyoto/soprano.dll

%{_datadir}/apps/plasma_scriptengine_kimono
%{_datadir}/kde4/services/plasma-scriptengine-kimono-applet.desktop
%{_datadir}/kde4/services/plasma-scriptengine-kimono-dataengine.desktop
%changelog
* Wed Oct 02 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-kimono.git;a=log;h=master

* Wed Oct 02 2019 Jan Rękorajski <baggins@pld-linux.org> 7a5df1b
- rebuild for g++ ABI changes
- release 3 (by relup.sh)

* Sat Feb 27 2016 Jan Rękorajski <baggins@pld-linux.org> b10516a
- release 2 (by relup.sh)

* Sat Nov 15 2014 Jan Rękorajski <baggins@pld-linux.org> f2217c5
- updated to 4.14.3 (by update-kde4.sh)

* Sun Aug 24 2014 Witold Filipczyk <witekfl@poczta.onet.pl> b1e4b49
- updated to 4.14.0

* Tue Jun 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 96ee697
- updated to 4.13.2 (by update-kde4.sh)

* Wed May 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 88fa372
- updated to 4.13.1 (by update-kde4.sh)

* Thu Apr 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 3091069
- updated to 4.12.4 (by update-kde4.sh)

* Wed Mar 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> a82897f
- updated to 4.12.3 (by update-kde4.sh)

* Wed Feb 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 318cea3
- updated to 4.12.2 (by update-kde4.sh)

* Sun Jan 19 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 17d718e
- updated to 4.12.1 (by update-kde4.sh)

* Sun Jan 05 2014 Jan Rękorajski <baggins@pld-linux.org> e6cceed
- 4.12.0

* Sun Sep 15 2013 Jan Rękorajski <baggins@pld-linux.org> 11b0bbb
- release 2 (by relup.sh)

* Wed Jun 19 2013 Jan Rękorajski <baggins@pld-linux.org> a220376
- updated to 4.10.4 (by update-kde4.sh)

* Fri Feb 15 2013 Jan Rękorajski <baggins@pld-linux.org> 690d60d
- 4.10.0

* Mon Dec 10 2012 Jan Rękorajski <baggins@pld-linux.org> 53d75b4
- updated to 4.9.4

* Sun Oct 07 2012 Elan Ruusamäe <glen@delfi.ee> 1005bbd
- fix invalid pl locale

* Thu Sep 06 2012 Paweł Sikora <pawel.sikora@agmk.net> f12a444
- updated to 4.9.1.

* Sun Aug 26 2012 Paweł Sikora <pawel.sikora@agmk.net> 4b25e43
- updated to 4.9.0, added missing BR.

* Sun Jan 22 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 8058ae7
- up to 4.8.0; now as kde4-kimono

* Fri Nov 25 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> e32b717
- up to 4.7.3

